package com.jeeplus.modules.sg.managementcenter.reserveManagement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ExportScheme;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ReserveManagement;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目储备信息 Mapper
 * @author 徐滕
 * @version 2020-09-14
 */
@MyBatisMapper
public interface ReserveManagementMapper extends BaseMapper<ReserveManagement> {
    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReserveManagement queryByProjectReserveId(ReserveManagement reserveManagement);

    /**
     * 根据项目储备id查询项目信息
     * @param projectReserveId 项目储备id
     * @return
     * */
    Integer findByProjectId(String projectReserveId);

    /**
     * 经理修改
     * @param reserveManagement
     */
    void updatejl(ReserveManagement reserveManagement);

    /**
     * 修改方案交底结论
     * @param scheme
     */
    void updateScheme(ExportScheme scheme);


    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReserveManagement> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReserveManagement> exportFindList(ReserveManagement reserveManagement);




    /**
     * 方案交底结论信息查询
     * @param reserveManagement 查询条件
     * @return 查询结果
     * */
    List<ReserveManagement> findModuleList(ReserveManagement reserveManagement);


    /**
     * 方案交底结论信息数据导出
     * @param entity 查询条件
     * @return 查询结果
     * */
    List<ExportScheme> exportModuleList(ExportScheme entity);

    /**
     * 通过项目名称查询对应项目信息
     * */
    ReserveManagement findByName(String projectName);

    /**
     * 通过流程定义号查询储备项目基础信息
     * */
    ReserveManagement findByProcInsId(String procInsId);
}
